# -*- coding: utf-8 -*-
# Generated by Django 1.10.6 on 2017-03-29 09:51
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import markupfield.fields
import migdal.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Attachment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(upload_to=b'entry/attach/', verbose_name='file')),
            ],
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('taxonomy', models.CharField(choices=[(b'topics', 'topics'), (b'types', 'types')], max_length=32, verbose_name='taxonomy')),
                ('title_pl', models.CharField(db_index=True, max_length=64, unique=True)),
                ('title_en', models.CharField(db_index=True, max_length=64, unique=True)),
                ('slug_pl', models.SlugField(unique=True)),
                ('slug_en', models.SlugField(unique=True)),
            ],
            options={
                'verbose_name': 'category',
                'verbose_name_plural': 'categories',
            },
        ),
        migrations.CreateModel(
            name='Entry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[(b'news', 'news'), (b'publications', 'publications'), (b'info', 'info')], db_index=True, max_length=16)),
                ('date', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='created at')),
                ('changed_at', models.DateTimeField(auto_now=True, db_index=True, verbose_name='changed at')),
                ('author', models.CharField(max_length=128, verbose_name='author')),
                ('author_email', models.EmailField(blank=True, help_text='Used only to display gravatar and send notifications.', max_length=128, null=True, verbose_name='author email')),
                ('image', models.ImageField(blank=True, null=True, upload_to=b'entry/image/', verbose_name='image')),
                ('promo', models.BooleanField(default=False, verbose_name='promoted')),
                ('in_stream', models.BooleanField(default=True, verbose_name='in stream')),
                ('first_published_at', models.DateTimeField(blank=True, null=True, verbose_name='published at')),
                ('canonical_url', models.URLField(blank=True, null=True, verbose_name='canonical link')),
                ('needed_en', models.CharField(choices=[(b'n', 'Unneeded'), (b'w', 'Needed'), (b'y', 'Done')], db_index=True, default=b'n', max_length=1, verbose_name='needed')),
                ('slug_pl', migdal.fields.SlugNullField(blank=True, null=True, unique=True)),
                ('slug_en', migdal.fields.SlugNullField(blank=True, null=True, unique=True)),
                ('title_pl', models.CharField(blank=True, max_length=255, null=True, verbose_name='title')),
                ('title_en', models.CharField(blank=True, max_length=255, null=True, verbose_name='title')),
                ('lead_pl', markupfield.fields.MarkupField(blank=True, help_text='Use <a href="http://textile.thresholdstate.com/">Textile</a> syntax.', null=True, rendered_field=True, verbose_name='lead')),
                ('lead_en', markupfield.fields.MarkupField(blank=True, help_text='Use <a href="http://textile.thresholdstate.com/">Textile</a> syntax.', null=True, rendered_field=True, verbose_name='lead')),
                ('body_pl', markupfield.fields.MarkupField(blank=True, help_text='Use <a href="http://textile.thresholdstate.com/">Textile</a> syntax.', null=True, rendered_field=True, verbose_name='body')),
                ('body_en', markupfield.fields.MarkupField(blank=True, help_text='Use <a href="http://textile.thresholdstate.com/">Textile</a> syntax.', null=True, rendered_field=True, verbose_name='body')),
                ('lead_pl_markup_type', models.CharField(choices=[(b'', b'--'), (b'textile_pl', b'textile_pl')], default=b'textile_pl', editable=False, max_length=30)),
                ('lead_en_markup_type', models.CharField(choices=[(b'', b'--'), (b'textile_pl', b'textile_pl')], default=b'textile_pl', editable=False, max_length=30)),
                ('body_pl_markup_type', models.CharField(choices=[(b'', b'--'), (b'textile_pl', b'textile_pl')], default=b'textile_pl', editable=False, max_length=30)),
                ('body_en_markup_type', models.CharField(choices=[(b'', b'--'), (b'textile_pl', b'textile_pl')], default=b'textile_pl', editable=False, max_length=30)),
                ('_lead_pl_rendered', models.TextField(editable=False, null=True)),
                ('_lead_en_rendered', models.TextField(editable=False, null=True)),
                ('published_pl', models.BooleanField(default=False, verbose_name='published')),
                ('published_en', models.BooleanField(default=False, verbose_name='published')),
                ('_body_pl_rendered', models.TextField(editable=False, null=True)),
                ('_body_en_rendered', models.TextField(editable=False, null=True)),
                ('published_at_pl', models.DateTimeField(blank=True, null=True, verbose_name='published at')),
                ('published_at_en', models.DateTimeField(blank=True, null=True, verbose_name='published at')),
                ('categories', models.ManyToManyField(blank=True, to='migdal.Category', verbose_name='categories')),
            ],
            options={
                'ordering': ['-date'],
                'verbose_name': 'entry',
                'verbose_name_plural': 'entries',
            },
        ),
        migrations.AddField(
            model_name='attachment',
            name='entry',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='migdal.Entry'),
        ),
        migrations.CreateModel(
            name='Entry_info',
            fields=[
            ],
            options={
                'verbose_name': 'entry: info',
                'proxy': True,
                'verbose_name_plural': 'entries: info',
            },
            bases=('migdal.entry',),
        ),
        migrations.CreateModel(
            name='Entry_news',
            fields=[
            ],
            options={
                'verbose_name': 'entry: news',
                'proxy': True,
                'verbose_name_plural': 'entries: news',
            },
            bases=('migdal.entry',),
        ),
        migrations.CreateModel(
            name='Entry_publications',
            fields=[
            ],
            options={
                'verbose_name': 'entry: publications',
                'proxy': True,
                'verbose_name_plural': 'entries: publications',
            },
            bases=('migdal.entry',),
        ),
    ]
